.. _int: https://docs.python.org/2/library/stdtypes.html

.. _str: https://docs.python.org/2/library/stdtypes.html

.. _string: ../../str

.. _vim.fault.ReplicationConfigFault: ../../vim/fault/ReplicationConfigFault.rst


vim.fault.ReplicationDiskConfigFault
====================================
    :extends:

        `vim.fault.ReplicationConfigFault`_

  A ReplicationDiskConfigFault is thrown when there is an issue with configuring disk replication properties.

Attributes:

    reason (`str`_): is optional.

    vmRef (`str`_): is optional.

    key (`int`_): is optional.




